Package org.eclipse.emf.cdo.workspace

## Interface CDOWorkspace

- All Superinterfaces:
    `CDOElement.StateProvider`, `CDORevisionProvider`, `org.eclipse.net4j.util.collection.Closeable`, `org.eclipse.net4j.util.event.INotifier`
  All Known Subinterfaces:
    `InternalCDOWorkspace`

      public interface CDOWorkspace
      extends CDORevisionProvider, CDOElement.StateProvider, org.eclipse.net4j.util.collection.Closeable, org.eclipse.net4j.util.event.INotifier

  Represents a local `checkout` from a remote repository.
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface | Description
    --- | --- | ---
    `static interface` | `CDOWorkspace.DirtyStateChangedEvent` | An `event` fired when the overall state of the `workspace` changes between dirty and clean.
    `static interface` | `CDOWorkspace.ObjectStatesChangedEvent` | An `event` fired when the state of objects in the `workspace` change between new, dirty and clean.

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.INotifier

      `org.eclipse.net4j.util.event.INotifier.INotifier2`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `CDOCommitInfo` | `checkin()` |
    `CDOCommitInfo` | `checkin​(java.lang.String comment)` |
    `CDOChangeSetData` | `compare​(java.lang.String branchPath)` |
    `CDOChangeSetData` | `compare​(java.lang.String branchPath, long timeStamp)` |
    `CDOWorkspaceBase` | `getBase()` |
    `int` | `getBranchID()` |
    `java.lang.String` | `getBranchPath()` |
    `CDOChangeSetData` | `getLocalChanges()` |
    `long` | `getTimeStamp()` |
    `boolean` | `isDirty()` |
    `boolean` | `isFixed()` |
    `CDOTransaction` | `merge​(CDOMerger merger, java.lang.String branchPath)` |
    `CDOTransaction` | `merge​(CDOMerger merger, java.lang.String branchPath, long timeStamp)` |
    `CDOTransaction` | `openTransaction()` |
    `CDOTransaction` | `openTransaction​(ResourceSet resourceSet)` |
    `CDOView` | `openView()` |
    `CDOView` | `openView​(ResourceSet resourceSet)` |
    `void` | `replace​(java.lang.String branchPath, long timeStamp)` |
    `void` | `revert()` |
    `CDOTransaction` | `update​(CDOMerger merger)` |

    - ### Methods inherited from interface org.eclipse.emf.cdo.CDOElement.StateProvider

      `getState`

    - ### Methods inherited from interface org.eclipse.emf.cdo.common.revision.CDORevisionProvider

      `getRevision`

    - ### Methods inherited from interface org.eclipse.net4j.util.collection.Closeable

      `close, isClosed`

    - ### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

      `addListener, getListeners, hasListeners, removeListener`

- - ### Method Detail

    - #### getBranchID

          int getBranchID()

      Since:
        4.2

    - #### getBranchPath

          java.lang.String getBranchPath()

    - #### getTimeStamp

          long getTimeStamp()

    - #### isFixed

          boolean isFixed()

    - #### getBase

          CDOWorkspaceBase getBase()

    - #### openView

          CDOView openView()

    - #### openView

          CDOView openView​(ResourceSet resourceSet)

    - #### openTransaction

          CDOTransaction openTransaction()

    - #### openTransaction

          CDOTransaction openTransaction​(ResourceSet resourceSet)

    - #### update

          CDOTransaction update​(CDOMerger merger)

    - #### merge

          CDOTransaction merge​(CDOMerger merger,
                               java.lang.String branchPath)

    - #### merge

          CDOTransaction merge​(CDOMerger merger,
                               java.lang.String branchPath,
                               long timeStamp)

    - #### checkin

          CDOCommitInfo checkin()
                         throws CommitException

      Throws:
        `CommitException`

    - #### checkin

          CDOCommitInfo checkin​(java.lang.String comment)
                         throws CommitException

      Throws:
        `CommitException`

    - #### compare

          CDOChangeSetData compare​(java.lang.String branchPath)

    - #### compare

          CDOChangeSetData compare​(java.lang.String branchPath,
                                   long timeStamp)

    - #### getLocalChanges

          CDOChangeSetData getLocalChanges()

    - #### replace

          void replace​(java.lang.String branchPath,
                       long timeStamp)

    - #### revert

          void revert()

    - #### isDirty

          boolean isDirty()

      Since:
        4.1